/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class FloorPlanResponse {
    public id: string;

    public name: string;

    public image: string;

    public timeStamp: string;

    public height: number;

    public width: number;

    public fields: string;

    /**
     * Creates a FloorPlanResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} image
     * @param {string} timeStamp
     * @param {number} height
     * @param {number} width
     * @param {string} fields
     */
    constructor(id: string, name: string, image: string, timeStamp: string, height: number, width: number, fields: string) {
        this.id = id;
        this.name = name;
        this.image = image;
        this.timeStamp = timeStamp;
        this.height = height;
        this.width = width;
        this.fields = fields;
    }
}
